<?php
function menu_penjualan()
{
	$res = array(
				array('menu' => 'master','logo' => 'Master Ball.png',
					'subUrl'=> array(
						array('menu' => 'supplier', 'url' => 'master-supp', 'logo' => 'icon_computer_network_1.png'),
						array('menu' => 'customer', 'url' => 'master-cust', 'logo' => 'icon_computer_network_1.png'),
						array('menu' => 'material', 'url' => 'mmaterial', 'logo' => 'icon_computer_network_1.png'),
						array('menu' => 'jenis-kendaraan', 'url' => 'mkendaraan', 'logo' => 'icon_computer_network_1.png'),
						array('menu' => 'gudang', 'url' => 'mgud', 'logo' => 'icon_computer_network_1.png'),
						/*array('menu' => 'persediaan','logo' => 'Master Ball.png',
							'subUrl'=> array(
								array('menu' => 'kategori', 'url' => 'mkat', 'logo' => 'icon_computer_network_1.png'),
								array('menu' => 'sub-kategori', 'url' => 'msubkat', 'logo' => 'icon_computer_network_1.png'),
								array('menu' => 'inventori', 'url' => 'minv', 'logo' => 'icon_computer_network_1.png'),
							)
						),
						array('menu' => 'promo', 'url' => 'mprom', 'logo' => 'icon_computer_network_1.png'),*/
					)
				),
				array('menu' => 'transaksi','logo' => 'Master Ball.png',
					'subUrl'=> array(
						array('menu' => 'order-jual', 'url' => 'ojual', 'logo' => 'icon_computer_network_1.png'),
						array('menu' => 'surat-jalan', 'url' => 'sjual', 'logo' => 'icon_computer_network_1.png'),
						array('menu' => 'surat-jalan-timbang', 'url' => 'sjualt', 'logo' => 'icon_computer_network_1.png'),
						array('menu' => 'nota-jual', 'url' => 'njual', 'logo' => 'icon_computer_network_1.png'),
						//array('menu' => 'sales-order', 'url' => 'jso', 'logo' => 'icon_computer_network_1.png'),
						//array('menu' => 'surat-jalan', 'url' => 'jsj', 'logo' => 'icon_computer_network_1.png'),
						//array('menu' => 'penjualan-ppn', 'url' => 'njlp', 'logo' => 'icon_computer_network_1.png'),
						//array('menu' => 'penjualan-non-ppn', 'url' => 'njln', 'logo' => 'icon_computer_network_1.png'),
						//array('menu' => 'nota-retur', 'url' => 'jret', 'logo' => 'icon_computer_network_1.png'),
						// array('menu' => 'nota-jual', 'url' => 'jnj', 'logo' => 'icon_computer_network_1.png'),
						// array('menu' => 'input-e-faktur', 'url' => 'fpja', 'logo' => 'icon_computer_network_1.png'),
						// array('menu' => 'e-faktur', 'url' => 'efak', 'logo' => 'icon_computer_network_1.png'),
						
						// array('menu' => 'pengiriman', 'url' => 'jgud', 'logo' => 'icon_computer_network_1.png'),
						// array('menu' => 'penagihan', 'url' => 'jcolect', 'logo' => 'icon_computer_network_1.png'),
					)
				),
				array('menu' => 'laporan','logo' => 'Master Ball.png',
					'subUrl'=> array(
						array('menu' => 'order-jual', 'url' => 'lojual', 'logo' => 'icon_computer_network_1.png'),
						array('menu' => 'surat-jalan', 'url' => 'lsjual', 'logo' => 'icon_computer_network_1.png'),
						array('menu' => 'nota-jual', 'url' => 'lnjual', 'logo' => 'icon_computer_network_1.png'),
					)
				),
				// array('menu' => 'offline','logo' => 'Master Ball.png',
					// 'subUrl'=> array(
						// array('menu' => 'sales-order', 'url' => 'jso_off', 'logo' => 'icon_computer_network_1.png'),
						// array('menu' => 'nota-jual', 'url' => 'jnj_off', 'logo' => 'icon_computer_network_1.png'),
						// array('menu' => 'nota-retur', 'url' => 'jret_off', 'logo' => 'icon_computer_network_1.png'),
					// )
				// ),
				/*array('menu' => 'laporan','logo' => 'Master Ball.png',
					'subUrl'=> array(
						array('menu' => 'penjualan-per-sales', 'url' => 'lnjls', 'logo' => 'icon_computer_network_1.png'),
						array('menu' => 'sales-order', 'url' => 'ljso', 'logo' => 'icon_computer_network_1.png'),
						array('menu' => 'nota-jual', 'url' => 'ljnota', 'logo' => 'icon_computer_network_1.png'),
						array('menu' => 'nota-retur', 'url' => 'ljret', 'logo' => 'icon_computer_network_1.png'),
						array('menu' => 'ekspedisi', 'url' => 'lnjle', 'logo' => 'icon_computer_network_1.png'),
						array('menu' => 'harga-akhir-per-customer', 'url' => 'ljakh', 'logo' => 'icon_computer_network_1.png'),
						array('menu' => 'komisi', 'url' => 'lkomisi', 'logo' => 'icon_computer_network_1.png'),
						array('menu' => 'stok','logo' => 'Master Ball.png',
							'subUrl'=> array(
								array('menu' => 'posisi-stok-per-gudang', 'url' => 'lstkgd', 'logo' => 'icon_computer_network_1.png'),
								array('menu' => 'posisi-stok-konsolidasi', 'url' => 'lstkon', 'logo' => 'icon_computer_network_1.png'),
								array('menu' => 'kartu-stok', 'url' => 'lstokrt', 'logo' => 'icon_computer_network_1.png'),
						        array('menu' => 'posisi-stok', 'url' => 'lbrp2', 'logo' => 'icon_computer_network_1.png'),
						        array('menu' => 'persediaan-tidak-laku', 'url' => 'lbtl', 'logo' => 'icon_computer_network_1.png'),
						    )
						),
					)
				),*/
				// array('menu' => 'password', 'url' => 'basic-password', 'logo' => 'icon_computer_network_1.png'),
			);
	
	
	return $res;
}

function logo_penjualan()
{
	return 'jual.png';
}

class SELECT_APP_PENJUALAN
{
	public function PAPER()
	{
		$res['P'] = 'Potraid';
		$res['L'] = 'Landscape';
		
		return $res;
	}

	public function TF()
	{
		return array(
						"T" => "TRUE",
						"F" => "FALSE",
						"N" => "NEITHER",
					);
	}

	public function _KTP()
	{
		return array(
						"KTP" => "KTP",
						"NON KTP" => "NON KTP",
					);
	}

	public function JEN_BAYAR()
	{
		return array(
						"TUNAI" => "TUNAI",
						"KREDIT" => "KREDIT",
						"BG/CEK" => "BG/CEK",
					);
	}

	public function PPN()
	{
		return array(
						"N" => "NON PPN",
						"I" => "PPN INCLUDE",
						"E" => "PPN EXCLUDE",
					);
	}

	public function FINISH()
	{
		return array(
						"F" => "FINISH",
						"P" => "PENDING",
					);
	}

	public function MODE_REPORT()
	{
		return array(
						"DETAIL" => "DETAIL",
						"REKAP" => "REKAP",
					);
	}

	public function STATUSPO()
	{
		return array(
						"OUTSTANDING" => "OUTSTANDING",
						"SUDAH DATANG" => "SUDAH DATANG",
					);
	}

	public function STATUSSTOK()
	{
		return array(
						"ADA STOK" => "ADA STOK",
						"ADA PROGRES" => "ADA PROGRES",
						"TIDAK ADA STOK" => "TIDAK ADA STOK",
					);
	}

	public function STATUS_FP()
	{
		return array(
						"ALL" => "ALL",
						"BELUM ADA NO.FP" => "BELUM ADA NO.FP",
						"SUDAH ADA NO.FP" => "SUDAH ADA NO.FP",
					);
	}

	public function CABANG()
	{
		return array();
	}

	public function GUDANG()
	{
		return array();
	}

	public function SALES()
	{
		return array();
	}

	public function SKAT()
	{
		return array();
	}

	public function KAT()
	{
		return array();
	}
}